Get metrics endpoint settings – Management API – MediaKind
Get metrics endpoint settings
get https://app.mk.io/api/v1/projects/:project_name/metricsEndpoint
Returns the metrics endpoint settings for this project.
RBAC Capability Required: mkio.metrics.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| project_name | string | Yes |
Response
200 OK
| Field | Type | Required | Description |
|---|---|---|---|
| kind | string | No | The kind of record. |
| spec | object | Yes | Specification. |
| enabled | boolean | Yes | Is metrics enabled? |
| status | object | No | Status when spec.enabled is true. |
| password | string | Yes | Password for metrics. |
| url | string | Yes | URL for metrics. |
| username | string | Yes | Username for metrics. |
Errors
400 Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| error | object | Yes | Pertinent information about the error |
| code | string | Yes | The error code. |
| detail | string | Yes | The error message. |
| extraDetail | map | No | Extra information regarding this error. |
| ref | string | Yes | A reference to the request that caused the error. |
| status | integer | Yes | The HTTP status code |